# -*- coding: utf-8 -*-
'''
    Torrenter v2 plugin for XBMC/Kodi
    Copyright (C) 2012-2015 Vadim Skorba v1 - DiMartino v2
    https://forums.tvaddons.ag/addon-releases/29224-torrenter-v2.html

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

try:
    import xbmcaddon

    __settings__ = xbmcaddon.Addon(id='plugin.video.torrenter')

    language = ('en', 'ru', 'uk','he', 'es')[int(__settings__.getSetting("language"))]
except:
    language = 'ru'



def localize(text):
    dictionary = {
    	'es': {
            'Seeds searching.': 'Búsqueda de seeds',
            'Please Wait': 'Por favor espere',
            'Information': 'Información',
            'Torrent downloading is stopped.': 'La descarga del torrent se detuvo',
            'Search': 'Buscar',
            'Seeds': 'Seeds',
            'Peers': 'Peers',
            'Materials are loading now.': 'Los materiales estan cargando',
            'Search Phrase': 'Expresión de búsqueda',
            'Magnet-link is converting': 'El Link Magnetico se esta convirtiendo',
            'Error': 'Error',
            'Your library out of date and can\'t save magnet-links.': 'Tu Colección es antigüa y no puede guardar links magneticos ',
            'Bookmarks': 'Favoritos',
            'Logout': 'Salir',
            'Login': 'Login',
            'Recent Materials': 'Materiales recientes ',
            'Register': 'Registrar',
            'Bookmark': 'Favorito',
            'Item successfully added to Bookmarks': 'El ítem se ha añadido a Favoritos',
            'Item successfully removed from Bookmarks': 'El ítem se ha eliminado de Favoritos',
            'Bookmark not added': 'El favorito no se ha añadido',
            'Bookmark not removed': 'El favorito no se ha eliminado',
            'Add To Bookmarks': 'Añadir a favoritos',
            'Remove From Bookmarks': 'Eliminar de favoritos',
            'Auth': 'Autenticación',
            'Already logged in': 'Acgtualmente autenticado',
            'Input Email (for password recovery):': 'Ingrese Email (para recuperación de contraseña):',
            'Input Email:': 'Ingrese Email:',
            'Input Password (6+ symbols):': 'Ingrese Password (6+ carateres):',
            'Input Password:': 'Ingrese Password',
            'Login successfull': 'Autenticación exitosa',
            'Login failed': 'Falló la autenticación',
            'User not logged in': 'Usuario no autenticado',
            'User successfully logged out': 'El usuario ha salido con éxito',
            'Preloaded: ': 'Pre-carga',
            'Do you want to STOP torrent downloading and seeding?': 'Desea detener la descarga del torrent y el seeding?',
            'Torrent Downloading': 'Descarga de torrent',
            'Auth expired, please relogin': 'Autenticación expirada, por favor vuelva a ingresar',
            'Storage': 'Almacenamiento',
            'Storage has been cleared': 'El almacenamiento se ha limpiado',
            'Clear Storage': 'Limpiar almacenamiento',
            'Popular': 'Popular',
            'Views': 'Vistas',
            'Uploading': 'Subida',
            'Download': 'Descarga',
            'Input symbols from CAPTCHA image:': 'Ingrese los simpobos de la CAPTCHA:',
            'Please, rate watched video:': 'Por favor, valore el video que acaba de ver:',
            'Bad': 'Malo',
            'So-So': 'Ni fu Ni fa',
            'Good': 'Bueno',
            'Ratings': 'Valoraciones',
            'Rating': 'Valoración',
            'Retry': 'Reintentar',
            '%ds has left': '%ds ha dejado',
            'File failed to play! Do you want to RETRY and buffer more?': 'Falló la reproducción! Desea reintentar y aumentar el buffer?',
            'High Priority Files': 'Archivos de alta prioridad',
            'Skip All Files': 'Omitir todos los archivos',
            'Start': 'Iniciar',
            'Stop': 'Detener',
            'Play':'Reproducir',
            'High Priority': 'Alta prioridad',
            'Skip File': 'Omitir archivo',
            'Remove': 'Eliminar',
            'Remove with files': 'Eliminar (con archivos)',
            'Play File': 'Reproducir Archivo',
            'Start All Files': 'Iniciar todos los archivos',
            'Stop All Files': 'Detener todos los archivos',
            'Torrent-client Browser': 'Navegador de Cliente Torrent',
            'Remote Torrent-client': 'Cliente de Torrent remoto',
            'You didn\'t set up replacement path in setting.': 'No ha configurado una ruta de reemplazo en la configuración.',
            'For example /media/dl_torr/ to smb://SERVER/dl_torr/. Setup now?': 'Por ejemplo /media/dl_torr/ a smb://SERVER/dl_torr/. Desea configurarla ahora?',
            'Manual Torrent-client Path Edit': 'Edicion manual de la ruta del cliente torrent',
            'Choose .torrent in video library': 'Elija el .torrent en la Colección de Video',
            '.torrent Player': 'Reproductor de .torrent',
            'Choose directory:': 'Elegir directorio:',
            'Starting download next episode!': 'Comenzando a descargar el próximo episodio!',
            'Choose in torrent-client:': 'Elija cliente torrent',
            'Search Control Window': 'Centro de Control de Busqueda',
            'Magnet-link (magnet:...)': 'Link Magnetico (magnet:...)',
            'Not a magnet-link!': 'No es un link magnetico',
            'Magnet-link Player': 'Reproductor de link magnetico',
            'UNKNOWN STATUS': 'ESTADO DESCONOCIDO',
            'Checking preloaded files...': 'Chequeando archivos pre-cargados',
            'Waiting for website response...': 'Esperando respuesta del sitio---',
            'Search and cache information for:': 'Buscar y cachear información para:',
            'Open Torrent': 'Abrir Torrent',
            'Torrent list is empty.': 'La lista de torrent esta vacía',
            'Content Lists': 'Listas de Contenido',
            'Canceled by User': 'Cancelado por el Usuario',
            'Do you want to search and cache full metadata + arts?': 'Desea bucar y cachear el arte+ metadata por completo?',
            'This vastly decreases load speed, but you will be asked to download premade bases!': 'Esto incrementará la velocidad de carga, pero se le pregutnará si descargar premade bases!',
            'Do you want to preload full metadata?': 'Desea pre-cargar metadata por completo?',
            'It is highly recommended!': 'מומלץ',
            'TV Shows': 'Series de TV',
            'Cartoons': 'Cartoons',
            'Anime': 'Anime',
            'Most Recent': 'Mas Recientes',
            'Top 250 Movies': 'Películas Top 250',
            'Top All Time': 'Top Histórico',
            'by Genre': 'por Género',
            'by Year': 'por Año',
            'Action': 'Acción',
            'Adventure': 'Aventura',
            'Animation': 'Animación',
            'Biography': 'Biografía',
            'Comedy': 'Comedia',
            'Crime': 'Policial',
            'Documentary': 'Docuemntal',
            'Drama': 'Drama',
            'Family': 'Familiar',
            'Fantasy': 'Fantasía',
            'Film-Noir': 'Film-Noir',
            'History': 'Historia',
            'Horror': 'Terror',
            'Music': 'Música',
            'Musical': 'Musical',
            'Mystery': 'Misterio',
            'Romance': 'Romance',
            'Sci-Fi': 'Ciencia Ficción',
            'Short': 'Cortos',
            'Sport': 'Deportes',
            'Thriller': 'Thriller',
            'War': 'Bélicas',
            'Western': 'Western',
            '[B]by Site[/B]': '[B]por Sitio[/B]',
            'Cartoons Series': 'Series de Carrtons',
            'Cartoons Short': 'Series de Cortos',
            'Male': 'Masculino',
            'Female': 'Femenino',
            'Russia & USSR': 'Rusia & USSR',
            'Next Page': 'Página Siguiente',
            'Previous Page': 'Página Enterior',
            'Russian Movies': 'Películas Rusas',
            'israeli Movies': 'Películas Israelies',
            'hebdub movies': 'peliculas hebdub',
            'Movies': 'Películas',
            'High Resolution Movies': 'Peliculas en HD',			
            '3D Movies': 'Películas en 3D',
            'Movies [Bluray]': 'Películas [Bluray]',				
            'Anime Film': 'Películas Anime',
            'Anime Series': 'Series Anime',
            'Can\'t download torrent, probably no seeds available.': 'No se puede descargar el torrent, probablemente no halla seed disponibles.',
            'Personal List': 'Lista Personal',
            'Add to %s': 'Añadir a %s',
            'Delete from %s': 'Eliminar de %s',
            'Added!': 'Añadido!',
            'Deleted!': 'Eliminado!',
            'Search History': 'Historial de búsqueda',
            ' History ':' Historial ',
            'Torrent History':'Historial de Torrent',
            'Watched History':'Historial de Vistos',
            'Favourites': 'Favoritos',
            'Favourites SH': 'Favoritos SH',
            'Clear %s': 'Limpiar %s',
            'Clear!': 'Limpieza exitosa!',
            'kb/s': 'kb/s',
            'Queued': 'En Cola',
            'Checking': 'Chequeando',
            'Downloading metadata': 'Descargando Metadata',
            'Downloading': 'Descargado',
            'Finished': 'Finalizado',
            'Seeding': 'Compartiendo',
            'Allocating': 'Asignando',
            'Allocating file & Checking resume': 'Asignando archivo & chequeando resumen',
            'For Kids': 'Para Niños',
            'Adult': 'Adultos',
            'Does not support magnet links!': 'No soporta Links Magneticos!',
            'Reset All Cache DBs': 'Resetear el cache de las BD',
            '[B]Search[/B]': '[B]Buscar[/B]',
            'You can always restart this by deleting DBs via Context Menu': 'Siempre puedes reiniciar esto eliminando las DB en el menú contextual',
            'Your preloaded databases are outdated!': 'Tus Base de Datos precargadas son demasiado antigüas!',
            'Do you want to download new ones right now?': 'Desea descargar ahora versiones mas recientes?',
            'Individual Tracker Options':'Opciones Individuales de Tracker',
            'Downloading and copy subtitles. Please wait.':'Descargando y copiando subtitulos. Por favor espere.',
            'International Check - First Run':'Chequeo Internacional. Primera ejecución.',
            'Delete Russian stuff?':'Eliminar artículos rusos?',
            'Save to path':'Guardar a directorio',
            'Return Russian stuff':'Devolver artículos rusos',
            '%d files have been returned':'%d archivos fueron devueltos',
            'Download via T-client':'Descargar via Cliente-T',
            'Download via Libtorrent':'Descargar via Libtorrent',
            'Download Status':'Estado de Descarga',
            'Download has not finished yet':'La descarga aun no ha finalizado',
            'Stopped and Deleted!':'Detenido y Eliminado',
            'Unpaused!':'De-pausado',
            'Paused!':'Pausado',
            'Stopped!':'Detenido',
            'Started!':'Iniciado',
            'Delete and Stop':'Eliminado y detenido',
            'Unpause':'Des-pausar',
            'Pause':'Pausar',
            'Delete':'Eliminar',
            'Open':'Abrir',
            'Torrent is seeding. To stop it use Download Status.':'El toorrent esta siendo compartido. Para detenerlo, utiliza el dialogo de descarga.',
            'Start All':'Iniciar Todo',
            'Started All!':'Todo ha sido iniciado',
            'Stopped All!':'Todo ha sido detenido',
            'Stop All':'Detener todo',
            'Keyboard':'Teclado',
            'Copy Files in Root':'Copiar archivos en la Raiz del sistema',
            'Copied %d files!':'Se han copiado %d archivos!',
            'Add to MyShows.ru':'Añadir a MyShows.ru',
            'Return to MyShows.ru':'Retornar a MyShows.ru',
            'Search results:':'Resultados de búsqueda',
            'by Seeders':'por Seeders',
            'by Date':'por fecha',
            'Sort':'Orden',
            'Close':'Cerrar',
            'Views:':'Vistas:',
            'Rating:':'Valoración:',
            'Information not found!':'Información no encontrada',
            'Choose searcher':'Elija Buscador',
            'python-libtorrent Not Found':'python-libtorrent no encontrado',
            'Windows has static compiled python-libtorrent included.':'Windows ya incluye una version de python-libtorrent compilada estáticamente',
            'You should install "script.module.libtorrent" from "MyShows.me Kodi Repo"':'Debes instalar "script.module.libtorrent" de "MyShows.me Kodi Repo',
            'Linux x64 has not static compiled python-libtorrent included.':'Linux x64 no incluye una version de python-libtorrent compilada estáticamente',
            'You should install it by "sudo apt-get install python-libtorrent"':'Debes instalarlo con el comando "sudo apt-get install python-libtorrent"',
            'Linux has static compiled python-libtorrent included but it didn\'t work.':'Linux x86 ya incluye una version de python-libtorrent compilada estáticamente, pero no funciónó',
            'As far as I know you can compile python-libtorrent for ARMv6-7.':'Creo que puede compilar python-libtorrent para ARMv6-7.',
            'You should search for "OneEvil\'s OpenELEC libtorrent" or use Ace Stream.':'Deberias buscar "OneEvil\'s OpenELEC libtorrent" o usar Ace Stream',
            'Please use install Ace Stream APK and choose it in Settings.':'Por favor instala Ace Stream APK y seleccionalo en la configuración',
            'It is possible to compile python-libtorrent for Android, but I don\'t know how.':'Es posible compilar python-libtorrent en Android pero desconozco el procedimiento.',
            'It is possible to compile python-libtorrent for OS X.':'Es posible compilar python-libtorrent para OS X.',
            'But you would have to do it by yourself, there is some info on github.com.':'Pero debes hacerlo por tu cuenta, hay información en github.com.',
            'It is NOT possible to compile python-libtorrent for iOS.':'No es posible compilar python-libtorrent para iOS',
            'But you can use torrent-client control functions.':'Pero puedes usar las funciones del cliente torrent',
            'I added custom searchers to Torrenter v2!':'He añadido buscadores personalizados a Torrenter v2!',
            'Now you can use your login on trackers or write and install your own searcher!':'Ahora puedes usar tus datos para loguearte en trackers o escribir e instalar tu propio buscador!',
            'Would you like to install %s from "MyShows.me Kodi Repo" in Programs section?':'Deseas instalar %s de "MyShows.me Kodi Repo" en la sección de Programas?',
            'Open installation window?':'Abrir ventana de instalación?',
            'Android Support':'Soporte Android',
            'Android has no temprorary folder':'Android no contiene directorio temporal',
            'Please specify storage folder in Settings!':'Por favor especifica el directorio de descarga en la configuración!',
            'You have no installed or active searchers! More info in Search Control Window!':'No has instalado o activado ningun buscador! Mas info en el Centro de Control de Búsquedas',
            'Please contact DiMartino on kodi.tv forum. We compiled python-libtorrent for Android,':'Por favor contacta a DiMartino en el foro kodi.tv. Hemos compilado python-libtorrent para Android,',
            'but we need your help with some Torrent is seeding. To stop it use Download Status.s on different processors.':'pero necesitamos tu ayuda cuando el torrent esta siendo compartido. Para detenerlo, usa el estado de descarga según el procesador.',
            'We added Android ARM full support to Torrenter v2!':'Hemos añadido soporte completo de Torrenter v2 para Android ARM!',
            'I deleted pre-installed ones, install them in Search Control Window!':'Se han eliminado los preintalados, instalalos desde el Centro de Control de Búsquedas!',
            'Torrenter didn\'t find %s searcher':'Torrenter no encontró el buscador %s',
            'Torrenter Tracker Install':'Intalacion de Tracker de Torrenter',
            'Ask to save':'Preguntar si guardar',
            'Would you like to save this file?':'Desea guardar este archivo?',
            'Your storage path is not writable or not local! Please change it in settings!':'Su ruta de descarga esta protegida contra escritura o no es local. Por favor cambiala en la configuración!',
            'Upgrade advancedsettings.xml':'Actualizar advancedsettings.xml',
            'We would like to set some advanced settings for you!':'Nos gustaría configurar advanced settings en tu equipo!',
            'Do it!':'Hazlo!',
            'Please, restart Kodi now!':'Por favor, reinicia Kodi ahora',
            './ (Root folder)':'./ (Directorio Raíz)',
            'Opening torrent file':'Abriendo archivo Torrent',
            'New player to Torrenter v2 - Torrent2HTTP! It should be faster, stable and better with Android, also seeking works in it.':'Nuevo reproductor para Torrenter v2 - Torrent2HTTP: Es más rápido, estable y mejora la compatibilidad con Android. También funciona la búsqueda.',
            'Would you like to try it?':'Desea probarlo?',
            'Torrent2HTTP enabled! Can be changed in Settings.':'Torrent2HTTP se ha activado! Puede cambiarlo en la configuración.',
            'Seeking':'Buscando',
            'Would you like to resume from %s?':'Desea continuar la reproducción desde %s?',
            'Seeking is working only with player Torrent2HTTP.':'La búsqueda solo funciona con el reproductor Torrent2HTTP.',
            'Play (from %s)':'Reproducir (desde %s)',
            'Play (from start)':'Reproducir (desde el inicio)',
        },
	    'he': {
            'Seeds searching.': 'חיפוש זורעים',
            'Please Wait': 'המתן',
            'Information': 'מידע',
            'Torrent downloading is stopped.': 'הורדה הופסקה',
            'Search': 'חפש',
            'Seeds': 'זורעים',
            'Peers': 'יונקים',
            'Materials are loading now.': 'עולה כעת',
            'Search Phrase': 'חפש',
            'Magnet-link is converting': 'הקובץ נטען',
            'Error': 'טעות',
            'Your library out of date and can\'t save magnet-links.': 'הספריה אינה מעודכנת',
            'Bookmarks': 'סימניות',
            'Logout': 'התנתק',
            'Login': 'התחבר',
            'Recent Materials': 'חומרים אחרונים ',
            'Register': 'הרשם',
            'Bookmark': 'סמניות',
            'Item successfully added to Bookmarks': 'הפריט הוסף לסמניות',
            'Item successfully removed from Bookmarks': 'הפריט הוסר מהסימניות בהצלחה',
            'Bookmark not added': 'סימניה לא הוספה',
            'Bookmark not removed': 'הסימניה לא הוסרה',
            'Add To Bookmarks': 'הוסף לסימניות',
            'Remove From Bookmarks': 'הסר מסימניות',
            'Auth': 'אישור',
            'Already logged in': 'Already logged in',
            'Input Email (for password recovery):': 'Input Email (for password recovery):',
            'Input Email:': 'Input Email:',
            'Input Password (6+ symbols):': 'Input Password (6+ symbols):',
            'Input Password:': 'Input Password',
            'Login successfull': 'Login successfull',
            'Login failed': 'Login failed',
            'User not logged in': 'Пользователь не в системе',
            'User successfully logged out': 'User successfully logged out',
            'Preloaded: ': 'טוען מראש',
            'Do you want to STOP torrent downloading and seeding?': 'להפסיק הורדת טורנט?',
            'Torrent Downloading': 'טורנט בהורדה',
            'Auth expired, please relogin': 'Auth expired, please relogin',
            'Storage': 'אחסון',
            'Storage has been cleared': 'אחסון נוקה',
            'Clear Storage': 'נקה אחסון',
            'Popular': 'פופולארי',
            'Views': 'צפיות',
            'Uploading': 'מעלה',
            'Download': 'מוריד',
            'Input symbols from CAPTCHA image:': 'Input symbols from CAPTCHA image:',
            'Please, rate watched video:': 'Please, rate watched video:',
            'Bad': 'Bad',
            'So-So': 'So-So',
            'Good': 'Good',
            'Ratings': 'Ratings',
            'Rating': 'דירוג',
            'Retry': 'נסה שנית',
            '%ds has left': '%ds has left',
            'File failed to play! Do you want to RETRY and buffer more?': 'הקובץ נכשל האם לנסות שנית?',
            'High Priority Files': 'קבצים בחשיבות עליונה',
            'Skip All Files': 'דלג על כל הקבצים',
            'Start': 'התחל',
            'Stop': 'עצור',
            'Play':'נגן',
            'High Priority': 'חשיבות גבוהה',
            'Skip File': 'דלג על הקובץ',
            'Remove': 'הסר',
            'Remove with files': 'הסר קבצים',
            'Play File': 'נגן קובץ',
            'Start All Files': 'התחל את כל הקבצים',
            'Stop All Files': 'הפסק את כל הקבצים',
            'Torrent-client Browser': 'דפדפן טורנט',
            'Remote Torrent-client': 'טורנט מרוחק',
            'You didn\'t set up replacement path in setting.': 'נא למלא נתיב לשמירה בהגדרות',
            'For example /media/dl_torr/ to smb://SERVER/dl_torr/. Setup now?': 'For example /media/dl_torr/ to smb://SERVER/dl_torr/. Setup now?',
            'Manual Torrent-client Path Edit': 'Manual Torrent-client Path Edit',
            'Choose .torrent in video library': 'בחר בטורנט מהספריה',
            '.torrent Player': 'נגן טורנט',
            'Choose directory:': 'בחר מיקום:',
            'Starting download next episode!': 'מתחיל להורד בפרק הבא',
            'Choose in torrent-client:': 'בחר לקוח טורנט',
            'Search Control Window': 'הגדרת טראקרים',
            'Magnet-link (magnet:...)': ' (magnet:...)קישור מגנט',
            'Not a magnet-link!': 'לא קישור מגנט',
            'Magnet-link Player': 'נגן קישור מגנט',
            'UNKNOWN STATUS': 'סטטוס לא ידוע',
            'Checking preloaded files...': 'בודק קבצים',
            'Waiting for website response...': 'ממתין לתשובת האתר ',
            'Search and cache information for:': 'תקצירי הסרטים יורדים',
            'Open Torrent': 'פתח טורנט',
            'Torrent list is empty.': 'רשימה ריקה',
            'Content Lists': 'רשימות תוכן ההרחבה',
            'Canceled by User': 'בוטל',
            'Do you want to search and cache full metadata + arts?': 'האם תרצה להוריד מידע על הסרטים',
            'This vastly decreases load speed, but you will be asked to download premade bases!': 'זה יאט את קצב ההעלאה אך יוריד מידע על הסרטים',
            'Do you want to preload full metadata?': 'האם תרצה להוריד את כל המידע',
            'It is highly recommended!': 'מומלץ',
            'TV Shows': 'סדרות',
            'Cartoons': 'אנימציה',
            'Anime': 'אנימה',
            'Most Recent': 'החדשים ביותר',
            'Top 250 Movies': '250 הטובים ביותר',
            'Top All Time': 'הטובים בכל הזמנים',
            'by Genre': 'לפי קטגוריה',
            'by Year': 'לפי שנה',
            'Action': 'פעולה',
            'Adventure': 'הרפתקאות',
            'Animation': 'אנימציה',
            'Biography': 'ביוגרפי',
            'Comedy': 'קומדיה',
            'Crime': 'פשע',
            'Documentary': 'דוקומנטרי',
            'Drama': 'דרמה',
            'Family': 'משפחתי',
            'Fantasy': 'פנטסיה',
            'Film-Noir': 'פילם נואר',
            'History': 'היסטורי',
            'Horror': 'אימה',
            'Music': 'מוזיקה',
            'Musical': 'מחזמר',
            'Mystery': 'מסתורי',
            'Romance': 'רומנטי',
            'Sci-Fi': 'מדע בדיוני',
            'Short': 'קצר',
            'Sport': 'ספורט',
            'Thriller': 'מותחן',
            'War': 'מלחמתי',
            'Western': 'מערבון',
            '[B]by Site[/B]': '[B]על פי אתר[/B]',
            'Cartoons Series': 'סדרה מצוירת',
            'Cartoons Short': 'מצוירים -קצר',
            'Male': 'גבר',
            'Female': 'אשה',
            'Russia & USSR': 'רוסיה',
            'Next Page': 'הדף הבא',
            'Previous Page': 'הדף הקודם',
            'Russian Movies': 'סרטים רוסיים',
            'israeli Movies': 'סרטים ישראלים',
            'hebdub movies': 'סרטים מדובבים',
            'Movies': 'סרטים',
            'High Resolution Movies': 'סרטים באיכות גבוהה',			
            '3D Movies': '3D סרטי',
            'Movies [Bluray]': ' [Bluray] סרטים ',				
            'Anime Film': 'סרטי אנימה',
            'Anime Series': 'סדרות אנימה',
            'Can\'t download torrent, probably no seeds available.': 'לא ניתן להוריד את הטורנט אין מספיק זורעים',
            'Personal List': 'רשימה אישית',
            'Add to %s': '%s הוסף ל ',
            'Delete from %s': 'מחק מ %s',
            'Added!': 'נוסף!',
            'Deleted!': 'נמחק',
            'Search History': 'הסטורית חיפוש',
            ' History ':' הסטוריה ',
            'Torrent History':'הסטורית טורנט',
            'Watched History':'הסטורית צפיה',
            'Favourites': 'מועדפים',
            'Favourites SH': 'מועדפי הסטורית חיפוש',
            'Clear %s': 'נקה %s',
            'Clear!': 'נקה',
            'kb/s': 'kb/s',
            'Queued': 'בתור',
            'Checking': 'בודק',
            'Downloading metadata': 'מוריד מידע',
            'Downloading': 'מוריד',
            'Finished': 'סיים',
            'Seeding': 'זורע',
            'Allocating': 'מאתר',
            'Allocating file & Checking resume': 'מאתר קובץ ובודק',
            'For Kids': 'לילדים',
            'Adult': 'מבוגרים',
            'Does not support magnet links!': 'לא תומך בקובץ מגנט!',
            'Reset All Cache DBs': 'רענן מחדש',
            '[B]Search[/B]': '[B]חפש[/B]',
            'You can always restart this by deleting DBs via Context Menu': 'You can always restart this by deleting DBs via Context Menu',
            'Your preloaded databases are outdated!': 'Your preloaded databases are outdated!',
            'Do you want to download new ones right now?': 'Do you want to download new ones right now?',
            'Individual Tracker Options':'Individual Tracker Options',
            'Downloading and copy subtitles. Please wait.':'Downloading and copy subtitles. Please wait.',
            'International Check - First Run':'בדיקה אינטרנשיונאלית ',
            'Delete Russian stuff?':'למחוק תוכן רוסי?',
            'Save to path':'שמור בנתיב',
            'Return Russian stuff':'להחזיר תוכן רוסי',
            '%d files have been returned':'הקובץ הוחזר',
            'Download via T-client':'הורד דרך לקוח טי',
            'Download via Libtorrent':'הורד דרך ליבטורנט',
            'Download Status':'מצב הורדה',
            'Download has not finished yet':'ההורדה לא הסתיימה',
            'Stopped and Deleted!':'נעצר ונמחק',
            'Unpaused!':'לא נעצר',
            'Paused!':'נעצר',
            'Stopped!':'הופסק',
            'Started!':'התחיל',
            'Delete and Stop':'מחק ועצור',
            'Unpause':'אל תפסיק',
            'Pause':'הפסק',
            'Delete':'מחק',
            'Open':'פתח',
            'Torrent is seeding. To stop it use Download Status.':'Torrent is seeding. To stop it use Download Status.',
            'Start All':'התחל הכל',
            'Started All!':'מיין הכל',
            'Stopped All!':'עצר',
            'Stop All':'עצור הכל',
            'Keyboard':'מקלדת',
            'Copy Files in Root':'Copy Files in Root',
            'Copied %d files!':'Copied %d files!',
            'Add to MyShows.ru':'Add to MyShows.ru',
            'Return to MyShows.ru':'Return to MyShows.ru',
            'Search results:':'תוצאות חיפוש',
            'by Seeders':'לפי כמות זורעים',
            'by Date':'לפי זמן',
            'Sort':'סדר',
            'Close':'סגור',
            'Views:':'צפיות:',
            'Rating:':'דירוג:',
            'Information not found!':'המידע לא נמצא',
            'Choose searcher':'בחר טראקר',
            'python-libtorrent Not Found':'לא נמצא',
            'Windows has static compiled python-libtorrent included.':'לליבטורנט יש קובץ התקנה עבור ווינדוס',
            'You should install "script.module.libtorrent" from "MyShows.me Kodi Repo"':'נא להתקין את הקובץ script.module.libtorrent. מתוך הריפו',
            'Linux x64 has not static compiled python-libtorrent included.':'Linux x64 has not static compiled python-libtorrent included.',
            'You should install it by "sudo apt-get install python-libtorrent"':'You should install it by "sudo apt-get install python-libtorrent"',
            'Linux has static compiled python-libtorrent included but it didn\'t work.':'На Linux x86 есть статическая python-libtorrent, но она очевидно не сработала.',
            'As far as I know you can compile python-libtorrent for ARMv6-7.':'As far as I know you can compile python-libtorrent for ARMv6-7.',
            'You should search for "OneEvil\'s OpenELEC libtorrent" or use Ace Stream.':'Поищи "OneEvil\'s OpenELEC libtorrent" или используй Ace Stream',
            'Please use install Ace Stream APK and choose it in Settings.':'Установите Ace Stream APK и выберите плеер в Найстройка плагина',
            'It is possible to compile python-libtorrent for Android, but I don\'t know how.':'Вообще скомпилировать python-libtorrent на Android можно, но мы не знаем как.',
            'It is possible to compile python-libtorrent for OS X.':'Вообще скомпилировать python-libtorrent на OS X можно.',
            'But you would have to do it by yourself, there is some info on github.com.':'But you would have to do it by yourself, there is some info on github.com.',
            'It is NOT possible to compile python-libtorrent for iOS.':'It is NOT possible to compile python-libtorrent for iOS',
            'But you can use torrent-client control functions.':'But you can use torrent-client control functions.',
            'I added custom searchers to Torrenter v2!':'I added custom searchers to Torrenter v2!',
            'Now you can use your login on trackers or write and install your own searcher!':'Now you can use your login on trackers or write and install your own searcher!',
            'Would you like to install %s from "MyShows.me Kodi Repo" in Programs section?':'Would you like to install %s from "MyShows.me Kodi Repo" in Programs section?',
            'Open installation window?':'לפתוח את חלון ההתקנה?',
            'Android Support':'תמיכה באנדרואיד',
            'Android has no temprorary folder':'',
            'Please specify storage folder in Settings!':'בחר תיקיה לשמירת הקבצים בהגדרות',
            'You have no installed or active searchers! More info in Search Control Window!':'לא קיימים טראקרים פעילים נא להוסיף דרך "הגדרות טראקרים"',
            'Please contact DiMartino on kodi.tv forum. We compiled python-libtorrent for Android,':'Please contact DiMartino on kodi.tv forum. We compiled python-libtorrent for Android,',
            'but we need your help with some Torrent is seeding. To stop it use Download Status.s on different processors.':'but we need your help with some Torrent is seeding. To stop it use Download Status.s on different processors.',
            'We added Android ARM full support to Torrenter v2!':'We added Android ARM full support to Torrenter v2!',
            'I deleted pre-installed ones, install them in Search Control Window!':'I deleted pre-installed ones, install them in Search Control Window!',
            'Torrenter didn\'t find %s searcher':'טראקר לא נמצא',
            'Torrenter Tracker Install':'טראקר הותקן',
            'Ask to save':'בקש לשמור',
            'Would you like to save this file?':'האם תרצה לשמור קובץ זה?',
            'Your storage path is not writable or not local! Please change it in settings!':'שטח אחסון הקבצים לא מקומי או שלא ניתן לכתוב בו ,שנה בהגדרות',
            'Upgrade advancedsettings.xml':'Upgrade advancedsettings.xml',
            'We would like to set some advanced settings for you!':'We would like to set some advanced settings for you!',
            'Do it!':'עשה זאת',
            'Please, restart Kodi now!':'התחל מחדש את קודי',
            './ (Root folder)':'./ (Root folder)',
            'Opening torrent file':'פותח קבצים',
            'New player to Torrenter v2 - Torrent2HTTP! It should be faster, stable and better with Android, also seeking works in it.':'נגן חדש (מומלץ)',
            'Would you like to try it?':'האם תרצה לנסות',
            'Torrent2HTTP enabled! Can be changed in Settings.':'Torrent2HTTP הופעל',
            'Seeking':'מחפש',
            'Would you like to resume from %s?':'האם תרצה לחזור מ $?',
            'Seeking is working only with player Torrent2HTTP.':' לא עובד עם נגן זה ',
            'Play (from %s)':'%s נגן מ',
            'Play (from start)':'נגן מהתחלה',
        },
    	'hu': {
            'Seeds searching.': 'Seederek keresése.',
            'Please Wait': 'Kérlek várj',
            'Information': 'Információ',
            'Torrent downloading is stopped.': 'A torrent letöltése befejeződött.',
            'Search': 'Keresés',
            'Seeds': 'Seederek',
            'Peers': 'Kapcsolatok',
            'Materials are loading now.': 'A tartalmak most töltődnek.',
            'Search Phrase': 'Keresés kifejezésre',
            'Magnet-link is converting': 'Magnet-link konvertálása',
            'Error': 'Hiba',
            'Your library out of date and can\'t save magnet-links.': 'A könyvtár elavult, nem lehet lementeni a magnet-linket.',
            'Bookmarks': 'Könyvjelzők',
            'Logout': 'Kijelentkezés',
            'Login': 'Bejelentkezés',
            'Recent Materials': 'Jelenlegi tartalmak',
            'Register': 'Regisztráció',
            'Bookmark': 'Könyvjelző',
            'Item successfully added to Bookmarks': 'Az elem sikeresen hozzáadva a Könyvjelzőkhöz',
            'Item successfully removed from Bookmarks': 'Az elem sikeresen törölve a Könyvjelzőkből',
            'Bookmark not added': 'A könyvjelző nem lett hozzáadva',
            'Bookmark not removed': 'A könyvjelző nem lett törölve',
            'Add To Bookmarks': 'Hozzáadás a Könyvjelzőkhöz',
            'Remove From Bookmarks': 'Eltávolítás a Könyvjelzőkből',
            'Auth': 'Hitelesítés',
            'Already logged in': 'Már be vagy jelentkezve',
            'Input Email (for password recovery):': 'E-mail bevitel (jelszó helyreállításához):',
            'Input Email:': 'E-mail bevitel:',
            'Input Password (6+ symbols):': 'Jelszó bevitel (6+ karakter):',
            'Input Password:': 'Jelszó bevitel:',
            'Login successfull': 'Bejelentkezés sikeres',
            'Login failed': 'Bejelentkezés sikertelen',
            'User not logged in': 'A felhasználó nincs bejelentkezve',
            'User successfully logged out': 'A felhasználó sikeresen kijelentkezett',
            'Preloaded: ': 'Előtöltés: ',
            'Do you want to STOP torrent downloading and seeding?': 'Be akarod fejezni a torrent letöltését és seedelését?',
            'Torrent Downloading': 'Torrent letöltése',
            'Auth expired, please relogin': 'Hitelesítés lejárt, kérlek jelentkezz be újra',
            'Storage': 'Tárolóhely',
            'Storage has been cleared': 'A tárolóhely megtisztítva',
            'Clear Storage': 'Tárolóhely Megtisztítása',
            'Popular': 'Népszerű',
            'Views': 'Nézetek',
            'Uploading': 'Feltöltés',
            'Download': 'Letöltés',
            'Input symbols from CAPTCHA image:': 'Szimbólumok bevitele a CAPTCHA képről:',
            'Please, rate watched video:': 'Kérlek, értékeld a megnézett videót:',
            'Bad': 'Rossz',
            'So-So': 'Elmegy',
            'Good': 'Jó',
            'Ratings': 'Értékelések',
            'Rating': 'Értékelés',
            'Retry': 'Újra',
            '%ds has left': '%ds van hátra',
            'File failed to play! Do you want to RETRY and buffer more?': 'A fájl lejátszása hibába ütközött. Újra akarod indítani és többet bufferelni?',
            'High Priority Files': 'Magas prioritású fájlok',
            'Skip All Files': 'Összes fájl kihagyása',
            'Start': 'Indít',
            'Stop': 'Megállít',
            'Play':'Lejátszás',
            'High Priority': 'Magas prioritás',
            'Skip File': 'Fájl kihagyása',
            'Remove': 'Eltávolítás',
            'Remove with files': 'Eltávolítás a fájlokkal együtt',
            'Play File': 'Fájl lejátszása',
            'Start All Files': 'Összes fájl elindítása',
            'Stop All Files': 'Összes fájl megállítása',
            'Torrent-client Browser': 'Torrentkliens Böngésző',
            'Remote Torrent-client': 'Távoli torrentkliens',
            'You didn\'t set up replacement path in setting.': 'Nem állítottál be helyettesítő elérési utat a beállításokban.',
            'For example /media/dl_torr/ to smb://SERVER/dl_torr/. Setup now?': 'Például /media/dl_torr/ a smb://SERVER/dl_torr/ - hez. Beállítod most?',
            'Manual Torrent-client Path Edit': 'Kézi torrentkliens elérési út módosítás',
            'Choose .torrent in video library': '.torrent kiválasztása a videó könyvtárban',
            '.torrent Player': '.torrent Lejátszó',
            'Choose directory:': 'Könyvtár kiválasztása:',
            'Starting download next episode!': 'Elindul a következő epizód letöltése!',
            'Choose in torrent-client:': 'Kiválasztás a torrentkliensben:',
            'Search Control Window': 'Keresést Kezelő Ablak',
            'Magnet-link (magnet:...)': 'Magnet-link (magnet:...)',
            'Not a magnet-link!': 'Ez nem magnet-link!',
            'Magnet-link Player': 'Magnet-link Lejátszó',
            'UNKNOWN STATUS': 'ISMERETLEN STÁTUSZ',
            'Checking preloaded files...': 'Előtöltött fájlok ellenőrzése...',
            'Waiting for website response...': 'Várakozás a weboldal válaszára...',
            'Search and cache information for:': 'Információ keresése és gyorsítótárazása:',
            'Open Torrent': 'Torrent megnyitása',
            'Torrent list is empty.': 'A torrent lista üres.',
            'Content Lists': 'Tartalmak Listája',
            'Canceled by User': 'Leállítva felhasználó által',
            'Do you want to search and cache full metadata + arts?': 'Szeretnéd lekérni és gyorsítótárazni a metaadatokat és a képeket?',
            'This vastly decreases load speed, but you will be asked to download premade bases!': 'Ez jelentősen csökkenti a betöltési sebességet, megkérünk, hogy töltsd le az előre elkészített adatbázisokat!',
            'Do you want to preload full metadata?': 'Előtöltöd a metaadatokat?',
            'It is highly recommended!': 'Ez erősen ajánlott!',
            'TV Shows': 'Sorozatok',
            'Cartoons': 'Rajzfilmek',
            'Anime': 'Anime',
            'Most Recent': 'Legújabb',
            'Top 250 Movies': 'Top 250 Filmek',
            'Top All Time': 'Top Mindenkori',
            'by Genre': 'Műfaj alapján',
            'by Year': 'Évszám alapján',
            'Action': 'Akció',
            'Adventure': 'Kaland',
            'Animation': 'Animációs',
            'Biography': 'Életrajzi',
            'Comedy': 'Vígjáték',
            'Crime': 'Bűnügyi',
            'Documentary': 'Dokumentum',
            'Drama': 'Dráma',
            'Family': 'Családi',
            'Fantasy': 'Fantasy',
            'Film-Noir': 'Film-Noir',
            'History': 'Történelmi',
            'Horror': 'Horror',
            'Music': 'Zenei',
            'Musical': 'Musical',
            'Mystery': 'Misztikus',
            'Romance': 'Romantikus',
            'Sci-Fi': 'Sci-Fi',
            'Short': 'Rövidfilm',
            'Sport': 'Sport',
            'Thriller': 'Thriller',
            'War': 'Háborús',
            'Western': 'Western',
            '[B]by Site[/B]': '[B]Weboldal alapján[/B]',
            'Cartoons Series': 'Rajzfilmsorozatok',
            'Cartoons Short': 'Rövid rajzfilmek',
            'Male': 'Férfi',
            'Female': 'Női',
            'Russia & USSR': 'Oroszország & Szovjetunió',
            'Next Page': 'Következő oldal',
            'Previous Page': 'Előző oldal',
            'Russian Movies': 'Orosz filmek',
            'israeli Movies': 'Izraeli fimek',
            'hebdub movies': 'hebdub filmek',
            'Movies': 'Filmek',
            'High Resolution Movies': 'HD filmek',
            '3D Movies': '3D filmek',
            'Movies [Bluray]': 'Filmek [Bluray]',				
            'Anime Film': 'Anime filmek',
            'Anime Series': 'Anime sorozatok',
            'Can\'t download torrent, probably no seeds available.': 'Nem lehet letölteni a torrentet, valószínűleg nincsenek elérhető seederek.',
            'Personal List': 'Saját lista',
            'Add to %s': 'Hozzáadás ehhez %s',
            'Delete from %s': 'Eltávolítás innen %s',
            'Added!': 'Hozzáadva!',
            'Deleted!': 'Eltávolítva!',
            'Search History': 'Keresési Előzmények',
            ' History ':' Előzmények ',
            'Torrent History':'Torrent Előzmények',
            'Watched History':'Megtekintett Előzmények',
            'Favourites': 'Kedvencek',
            'Favourites SH': 'Kedvencek SH',
            'Clear %s': 'Tisztítás %s',
            'Clear!': 'Tisztítás!',
            'kb/s': 'kb/s',
            'Queued': 'Sorba állítva',
            'Checking': 'Ellenőrzés',
            'Downloading metadata': 'Metaadatok letöltése',
            'Downloading': 'Letöltés',
            'Finished': 'Befejezve',
            'Seeding': 'Seedelés',
            'Allocating': 'Összeállítás',
            'Allocating file & Checking resume': 'Fájl összeállítása és folytatás ellenőrzése',
            'For Kids': 'Gyerekek számára',
            'Adult': 'Felnőtt',
            'Does not support magnet links!': 'Nem támogatja a magnet-linkeket!',
            'Reset All Cache DBs': 'Összes gyorsítótár adatbázis visszaállítása',
            '[B]Search[/B]': '[B]Keresés[/B]',
            'You can always restart this by deleting DBs via Context Menu': 'Mindig visszaállíthatja az adatbázis törlésével a helyi menün keresztül',
            'Your preloaded databases are outdated!': 'Az előtöltött adatbázisok elavultak!',
            'Do you want to download new ones right now?': 'Szeretnéd letölteni az újakat most?',
            'Individual Tracker Options':'Egyéni tracker beállítások',
            'Downloading and copy subtitles. Please wait.':'Feliratok letöltése és másolása. Kérlek, várj.',
            'International Check - First Run':'International ellenőrzés - első futtatás',
            'Delete Russian stuff?':'Orosz tartalom törlése?',
            'Save to path':'Mentés a mappába',
            'Return Russian stuff':'Orosz tartalom visszaállítása',
            '%d files have been returned':'%d fájlok visszaállítva',
            'Download via T-client':'Letöltés T-kliensen keresztül',
            'Download via Libtorrent':'Letöltés Libtorrenten keresztül',
            'Download Status':'Letöltési Állapot',
            'Download has not finished yet':'A letöltés még nem fejeződött be',
            'Stopped and Deleted!':'Leállítva és eltávolítva!',
            'Unpaused!':'Újra elindítva!',
            'Paused!':'Szünetelve!',
            'Stopped!':'Megállítva!',
            'Started!':'Elindítva!',
            'Delete and Stop':'Megállít és eltávolít',
            'Unpause':'Újra elindít',
            'Pause':'Szüneteltet',
            'Delete':'Eltávolít',
            'Open':'Megnyitás',
            'Torrent is seeding. To stop it use Download Status.':'Torrent seedelés alatt. Ahhoz, hogy megállítsd használd a Letöltési Állapotot.',
            'Start All':'Összes elindítása',
            'Started All!':'Összes elindítva!',
            'Stopped All!':'Összes megállítva!',
            'Stop All':'Összes megállítása',
            'Keyboard':'Billentyűzet',
            'Copy Files in Root':'Fájlok másolása a Rendszerkönyvtárba',
            'Copied %d files!':'%d fájl átmásolva!',
            'Add to MyShows.ru':'Hozzáadás MyShows.ru-hoz',
            'Return to MyShows.ru':'Visszatérés a MyShows.ru-hoz',
            'Search results:':'Keresési eredmények:',
            'by Seeders':'Seederek alapján',
            'by Date':'Dátum alapján',
            'Sort':'Rendezés',
            'Close':'Bezár',
            'Views:':'Nézetek:',
            'Rating:':'Értékelés:',
            'Information not found!':'Nem található információ!',
            'Choose searcher':'Válassz keresőt',
            'python-libtorrent Not Found':'python-libtorrent nem található',
            'Windows has static compiled python-libtorrent included.':'A Windows statikusan fordított python-libtorrentet tartalmaz.',
            'You should install "script.module.libtorrent" from "MyShows.me Kodi Repo"':'Telepítsd a "script.module.libtorrent"-et a "MyShows.me Kodi Repo"-ból',
            'Linux x64 has not static compiled python-libtorrent included.':'A Linux x64 statikusan fordított python-libtorrentet nem tartalmaz.',
            'You should install it by "sudo apt-get install python-libtorrent"':'Telepítsd ezzel a paranccsal "sudo apt-get install python-libtorrent"',
            'Linux has static compiled python-libtorrent included but it didn\'t work.':'A Linux statikusan fordított python-libtorrentet tartalmaz de nem működik.',
            'As far as I know you can compile python-libtorrent for ARMv6-7.':'Ahogy én tudom, le lehet fordítani a python-libtorrentet ARMv6-7-ra',
            'You should search for "OneEvil\'s OpenELEC libtorrent" or use Ace Stream.':'Keress rá "OneEvil\'s OpenELEC libtorrent"-re vagy használj Ace Streamet',
            'Please use install Ace Stream APK and choose it in Settings.':'Kérlek használj Ace Stream APK-t és válaszd ki a beállításokban.',
            'It is possible to compile python-libtorrent for Android, but I don\'t know how.':'Lehetséges, hogy lefordítható a python-libtorrent Android-ra, de nem tudom hogyan.',
            'It is possible to compile python-libtorrent for OS X.':'Lehetséges, hogy lefordítható a python-libtorrent OS X-re.',
            'But you would have to do it by yourself, there is some info on github.com.':'De ezt magadnak kell megcsinálnod, van néhány infó erről a github.com-on.',
            'It is NOT possible to compile python-libtorrent for iOS.':'iOS-re nem lehet lefordítani a python-libtorrentet.',
            'But you can use torrent-client control functions.':'De a torrentkliens kezelőt funkciót tudod használni.',
            'I added custom searchers to Torrenter v2!':'Hozzáadtam egyéni keresőket a Torrenter v2-höz!',
            'Now you can use your login on trackers or write and install your own searcher!':'Most már be tudsz lépni a trackerekre, vagy megírhatod és feltelepítheted a saját keresődet!',
            'Would you like to install %s from "MyShows.me Kodi Repo" in Programs section?':'Szeretnéd telepíteni %s a "MyShows.me Kodi Repo"-ból?',
            'Open installation window?':'Telepítő ablak megnyitása?',
            'Android Support':'Android támogatás',
            'Android has no temprorary folder':'Az Android nem rendelkezik ideiglenes mappával',
            'Please specify storage folder in Settings!':'Kérlek add meg a tárolóhely mappáját a beállításokban!',
            'You have no installed or active searchers! More info in Search Control Window!':'Nincsenek telepített vagy aktív keresők! Több információ a Keresést Kezelő Abalakban.',
            'Please contact DiMartino on kodi.tv forum. We compiled python-libtorrent for Android,':'Kérünk lépj kapcsolatba DiMartino-val a kodi.tv fórumon. Lefordítottuk a python-libtorrentet Androidhoz,',
            'but we need your help with some tests on different processors.':'de szükségünk lesz még néhány tesztre különböző processzorokon.',
            'We added Android ARM full support to Torrenter v2!':'A Torrenter v2 számara teljesen támogatottá tettük az Android ARM-t!',
            'I deleted pre-installed ones, install them in Search Control Window!':'Töröltem az összes előre telepítettet, telepítsd őket a Keresést Kezelő Ablakban!',
            'Torrenter didn\'t find %s searcher':'A Torrenter nem találja a %s keresőt',
            'Torrenter Tracker Install':'Torrent tracker telepítés',
            'Ask to save':'Mentés kérése',
            'Would you like to save this file?':'El szeretnéd menteni ez a fájlt?',
            'Your storage path is not writable or not local! Please change it in settings!':'A tárolóhely elérési útja nem írható vagy nem elérhető! Kérlek változtatsd meg a beállításokban!',
            'Upgrade advancedsettings.xml':'advancedsettings.xml frissítése',
            'We would like to set some advanced settings for you!':'Be szeretnénk állítani néhány haladó beállítást!',
            'Do it!':'Csináld!',
            'Please, restart Kodi now!':'Kérlek, indítsd újra a Kodit, most.',
            './ (Root folder)':'./ (Rendszerkönyvtár)',
            'Opening torrent file':'Torrent fájl megnyitása',
            'New player to Torrenter v2 - Torrent2HTTP! It should be faster, stable and better with Android, also seeking works in it.':'Új lejátszó a Torrenter v2-höz - Torrent2HTTP: Gyorsabb, stabilabb és jobb Androiddal, valamint a keresés is működik vele.',
            'Would you like to try it?':'Ki szeretnéd próbálni?',
            'Torrent2HTTP enabled! Can be changed in Settings.':'Torrent2HTTP engedélyezve! Ezen a beállításokban tudsz változtatni.',
            'Seeking':'Keresés',
            'Would you like to resume from %s?':'Szeretnéd folytatni innen: %s?',
            'Seeking is working only with player Torrent2HTTP.':'A keresés csak a Torrent2HTTP lejátszóval működik.',
            'Play (from %s)':'Lejátszás (innen %s)',
            'Play (from start)':'Lejátszás (az elejétől)',
        },
        'ru': {
            'Torrenter has a better view style for Kodi 17 default skin.':'У Torrenter есть оптимизированный вид под новый скин Kodi 17.',
            'is recommended for Kodi 17 users and now out of beta.': 'рекомендовано пользователям Kodi 17 и вышло из беты.',
            'You can disable it usage in Settings.':'Его можно отключить в настройках плагина.',
            'Move Up': 'Вверх',
            'Torrenter Search Window': 'Окно Поиска Torrenter',
            'Cancel': 'Отмена',
            'Clear History': 'Очистить Историю',
            'Play (with seek)': 'Играть (перемотка)',
            'Mass Control':'Массовое Управление',
            'Info':'Инфо',
            'Delete torrent with files?':'Вы уверены, что хотите удалить торрент с файлами?',
            'Fav. / Unfav.':'Доб./удал. Избранное',
            'Search Window': 'Окно поиска',
            'Context menu': 'Контекстное меню',
            'Seeds searching.': 'Идёт поиск сидов.',
            'Please Wait': 'Подождите',
            'Information': 'Информация',
            'Torrent downloading is stopped.': 'Загрузка торрента прекращена.',
            'Search': 'Поиск',
            'Seeds': 'Сиды',
            'Peers': 'Пиры',
            'Materials are loading now.': 'Идёт загрузка материалов.',
            'Search Phrase': 'Фраза для поиска',
            'Magnet-link is converting': 'Идёт преобразование magnet-ссылки',
            'Error': 'Ошибка',
            'Your library out of date and can\'t save magnet-links.': 'Ваша библиотека устарела и не может сохранять магнет-ссылки.',
            'Bookmarks': 'Закладки',
            'Logout': 'Выход',
            'Login': 'Вход',
            'Recent Materials': 'Свежие Материалы ',
            'Register': 'Регистрация',
            'Bookmark': 'Закладка',
            'Item successfully added to Bookmarks': 'Элемент удачно добавлен в закладки',
            'Item successfully removed from Bookmarks': 'Элемент удачно удалён из закладок',
            'Bookmark not added': 'Закладка не добавлена',
            'Bookmark not removed': 'Закладка не удалена',
            'Add To Bookmarks': 'Добавить в закладки',
            'Remove From Bookmarks': 'Удалить из Закладок',
            'Auth': 'Авторизация',
            'Already logged in': 'Пользователь уже в системе',
            'Input Email (for password recovery):': 'Введите E-mail (для восстановления пароля):',
            'Input Email:': 'Введите E-mail:',
            'Input Password (6+ symbols):': 'Введите пароль (6+ символов):',
            'Input Password:': 'Введите пароль:',
            'Login successfull': 'Вход выполнен успешно',
            'Login failed': 'Вход не выполнен',
            'User not logged in': 'Пользователь не в системе',
            'User successfully logged out': 'Пользователь успешно покинул систему',
            'Preloaded: ': 'Предзагружено: ',
            'Do you want to STOP torrent downloading and seeding?': 'Вы хотите остановить загрузку и раздачу торрента?',
            'Torrent Downloading': 'Загрузка торрента',
            'Auth expired, please relogin': 'Авторизация истекла, пожалуйста войдите снова',
            'Storage': 'Хранилище',
            'Storage has been cleared': 'Хранилище очищено',
            'Clear Storage': 'Очистить хранилище',
            'Popular': 'Популярное',
            'Views': 'Просмотров',
            'Uploading': 'Раздача',
            'Download': 'Скачать',
            'Input symbols from CAPTCHA image:': 'Введите символы с картинки CAPTCHA:',
            'Please, rate watched video:': 'Пожалуйста, оцените просмотренное видео:',
            'Bad': 'Плохо',
            'So-So': 'Такое...',
            'Good': 'Отлично',
            'Ratings': 'Оценки',
            'Rating': 'Оценка',
            'Retry': 'Повторная попытка',
            '%ds has left': 'Осталось %d попыток',
            'File failed to play! Do you want to RETRY and buffer more?': 'Ошибка проигрывания файла! Хотите предзагрузить больше и повторить?',
            'High Priority Files': 'Высокий Приоритет Файлам',
            'Skip All Files': 'Пропустить Все Файлы',
            'Start': 'Пуск',
            'Stop': 'Стоп',
            'Play':'Воспроизвести',
            'High Priority': 'Высокий Приоритет',
            'Skip File': 'Пропустить Файл',
            'Remove': 'Удалить',
            'Remove with files': 'Удалить с файлами',
            'Play File': 'Проиграть файл',
            'Start All Files': 'Пуск Всем Файлам',
            'Stop All Files': 'Стоп Всем Файлам',
            'Torrent-client Browser': 'Браузер Торрент-клиента',
            'Remote Torrent-client': 'Удаленный торрент-клиент',
            'You didn\'t set up replacement path in setting.': 'Вы не настроили замены путей.',
            'For example /media/dl_torr/ to smb://SERVER/dl_torr/. Setup now?': 'Например /media/dl_torr/ на smb://SERVER/dl_torr/. Настроить?',
            'Manual Torrent-client Path Edit': 'Вручную изменить папку торрент-клиента по-умолчанию',
            'Choose .torrent in video library': 'Выберите .torrent в видеобиблиотеке',
            '.torrent Player': '.torrent Проигрыватель',
            'Choose directory:': 'Выберите папку:',
            'Starting download next episode!': 'Начинаю скачку следующего эпизода!',
            'Choose in torrent-client:': 'Выберите раздачу:',
            'Search Control Window': 'Окно Управления Поиском',
            'Magnet-link (magnet:...)': 'Magnet-ссылка (magnet:...)',
            'Not a magnet-link!': 'Не является magnet-ссылкой',
            'Magnet-link Player': 'Проигрыватель Magnet-Ссылок',
            'UNKNOWN STATUS': 'Неизвестное состояние',
            'Checking preloaded files...': 'Проверка файлов...',
            'Waiting for website response...': 'Ожидание ответа сайта...',
            'Search and cache information for:': 'Поиск и кэширование информации для:',
            'Open Torrent': 'Открыть Торрент',
            'Torrent list is empty.': 'Список раздач пуст.',
            'Content Lists': 'Списки Медиа',
            'Canceled by User': 'Отменено пользователем',
            'Do you want to search and cache full metadata + arts?': 'Хотите автоматически получать мета-данные и арты?',
            'This vastly decreases load speed, but you will be asked to download premade bases!': 'Это существенно снижает скорость загрузки, но Вам предложат скачать готовые базы!',
            'Do you want to preload full metadata?': 'Хотите готовую загрузить базу данных?',
            'It is highly recommended!': 'Настоятельно рекомендовано согласиться!',
            'TV Shows': 'Сериалы',
            'Cartoons': 'Мультфильмы',
            'Anime': 'Аниме',
            'Most Recent': 'Горячие Новинки',
            'Top 250 Movies': 'Лучшие 250 фильмов',
            'Top All Time': 'Лучшее за ВСЕ ВРЕМЯ',
            'by Genre': 'по Жанру',
            'by Year': 'по Году',
            'Action': 'Боевики',
            'Adventure': 'Приключения',
            'Animation': 'Анимация',
            'Biography': 'Биография',
            'Comedy': 'Комедии',
            'Crime': 'Детектив',
            'Documentary': 'Документальное',
            'Drama': 'Драмы',
            'Family': 'Семейное',
            'Fantasy': 'Фэнтази',
            'Film-Noir': 'Нуар',
            'History': 'Историчекие',
            'Horror': 'Ужасы',
            'Music': 'Музыкальные',
            'Musical': 'Мьюзиклы',
            'Mystery': 'Мистика',
            'Romance': 'Мелодрамы',
            'Sci-Fi': 'Фантастика',
            'Short': 'Короткометражки',
            'Sport': 'Спортивные',
            'Thriller': 'Триллеры',
            'War': 'Военные',
            'Western': 'Вестерны',
            '[B]by Site[/B]': '[B]по Сайту[/B]',
            'Cartoons Series': 'Мультсериалы',
            'Cartoons Short': 'Мультфильмы (короткометражки)',
            'Male': 'Мужские',
            'Female': 'Женские',
            'Russia & USSR': 'Россия + СССР',
            'Next Page': 'Следующая Страница',
            'Previous Page': 'Предыдущая Страница',
            '3D Movies': 'Фильмы 3D',
            'Russian Movies': 'Отечественные Фильмы',
            'Movies': 'Зарубежные Фильмы',
            'israeli Movies': 'израильские фильмы',
            'hebdub movies': 'Фильмы на иврите',
            'High Resolution Movies': 'высокое разрешение фильма',
            'Movies [Bluray]': 'Фильмы [Blu-ray]',				
            'Anime Film': 'Полнометражное Аниме',
            'Anime Series': 'Аниме Сериалы',
            'Can\'t download torrent, probably no seeds available.': 'Не могу скачать торрент, скорее всего нет доступных сидов.',
            'Personal List': 'Личный Список',
            'Add to %s': 'Добавить в %s',
            'Delete from %s': 'Удалить из %s',
            'Added!': 'Добавлено',
            'Deleted!': 'Удалено!',
            'Search History': 'История Поиска',
            ' History ':' История ',
            'Torrent History':'История Торрентов',
            'Watched History':'История Просмотров',
            'Favourites': 'Избранное',
            'Favourites SH': 'Избранное ИП',
            'Clear %s': 'Очистить %s',
            'Clear!': 'Очищено!',
            'kb/s': 'КБ/с',
            'Queued': 'В очереди',
            'Checking': 'Проверка',
            'Downloading metadata': 'Скачивание мета-данных',
            'Downloading': 'Скачивание',
            'Finished': 'Окончено',
            'Seeding': 'Раздача (сидирование)',
            'Allocating': 'Allocating',
            'Allocating file & Checking resume': 'Allocating file & Checking resume',
            'For Kids': 'Детское',
            'Adult': 'Эротика',
            'Does not support magnet links!': 'Не поддерживает магнит-ссылки!',
            'Reset All Cache DBs': 'Сбросить Базы Данных',
            '[B]Search[/B]': '[B]Поиск[/B]',
            'You can always restart this by deleting DBs via Context Menu': 'Вы всегда можете перезапустить этот процесс через Контекстное Меню',
            'Your preloaded databases are outdated!': 'Ваши предзакаченные базы метаданных устарели!',
            'Do you want to download new ones right now?': 'Хотите прямо сейчас скачать новые?',
            'Individual Tracker Options':'Выбор Трекеров',
            'Downloading and copy subtitles. Please wait.':'Скачиваю и копирую субтитры. Пожалуйста подождите.',
            'International Check - First Run':'International Check - Первый запуск',
            'Delete Russian stuff?':'Удалить русские трекеры?',
            'Save to path':'Сохранить в папку',
            'Return Russian stuff':'Вернуть русские трекеры',
            '%d files have been returned':'%d файлов возвращено',
            'Download via T-client':'Скачать Торр-клиентом',
            'Download via Libtorrent':'Скачать Libtorrent\'ом',
            'Download Status':'Статус Загрузки',
            'Download has not finished yet':'Загрука не завершена',
            'Stopped and Deleted!':'Загрузка остановлена и удалена!',
            'Unpaused!':'Возобновлено!',
            'Paused!':'Приостановлено!',
            'Stopped!':'Остановлено!',
            'Started!':'Начинается загрузка!',
            'Delete and Stop':'Удалить и Остановить',
            'Unpause':'Возобновить',
            'Pause':'Пауза',
            'Delete':'Удалить',
            'Open':'Открыть',
            'Torrent is seeding. To stop it use Download Status.':'Сидирование. Для остановки используйте Статус Загрузки.',
            'Start All':'Запустить Все',
            'Started All!':'Все Запущены!',
            'Stopped All!':'Все Остановлено!',
            'Stop All':'Остановить Все',
            'Keyboard':'Клавиатура',
            'Copy Files in Root':'Скопировать файлы в Корень',
            'Copy in Root': 'Скопировать в Корень',
            'Copied %d files!':'Скопировано %d файлов!',
            'Return to %s':'Вернуться в %s',
            'Search results:':'Результаты поиска:',
            'by Seeders':'по Сидам',
            'by Date':'по Дате',
            'Sort':'Сортировка',
            'Close':'Закрыть окно',
            'Views:':'Просм.:',
            'Rating:':'Рейтинг:',
            'Information not found!':'Информация не найдена!',
            'Choose searcher':'Выберите трекер',
            'python-libtorrent Not Found':'python-libtorrent не найден',
            'Windows has static compiled python-libtorrent included.':'На Windows при установке из репозитория к плагину идет python-libtorrent.',
            'You should install "script.module.libtorrent" from "MyShows.me Kodi Repo"':'Установите "script.module.libtorrent" из "MyShows.me Kodi Repo"',
            'Linux x64 has not static compiled python-libtorrent included.':'На Linux x64 не смогли собрать статическую python-libtorrent',
            'You should install it by "sudo apt-get install python-libtorrent"':'Установи коммандой "sudo apt-get install python-libtorrent"',
            'Linux has static compiled python-libtorrent included but it didn\'t work.':'На Linux x86 есть статическая python-libtorrent, но она очевидно не сработала.',
            'As far as I know you can compile python-libtorrent for ARMv6-7.':'На ARMv6-7 можно скомпилировать python-libtorrent',
            'You should search for "OneEvil\'s OpenELEC libtorrent" or use Ace Stream.':'Поищи "OneEvil\'s OpenELEC libtorrent" или используй Ace Stream',
            'Please use install Ace Stream APK and choose it in Settings.':'Установите Ace Stream APK и выберите плеер в Найстройка плагина',
            'It is possible to compile python-libtorrent for Android, but I don\'t know how.':'Вообще скомпилировать python-libtorrent на Android можно, но мы не знаем как.',
            'It is possible to compile python-libtorrent for OS X.':'Вообще скомпилировать python-libtorrent на OS X можно.',
            'But you would have to do it by yourself, there is some info on github.com.':'Но придется это тебе делать самому, на гитхабе была инфа',
            'It is NOT possible to compile python-libtorrent for iOS.':'Под iOS невозможно скомпилировать python-libtorrent',
            'But you can use torrent-client control functions.':'Но все остальные функции кроме прямого стриминга с торрента работают.',
            'I added custom searchers to Torrenter v2!':'Я добавил внешние серчеры для трекеров в стиле Pulsar!',
            'Now you can use your login on trackers or write and install your own searcher!':'Теперь можно использовать свой логин или даже написать и установить свой серчер.',
            'Would you like to install %s from "MyShows.me Kodi Repo" in Programs section?':'Хотите установить %s из "MyShows.me Kodi Repo" в Программах?',
            'Open installation window?':'Открыть окно установки?',
            'Android Support':'Поддержка Android',
            'Android has no temprorary folder':'У Android отсутствует стандартная временная папка',
            'Please specify storage folder in Settings!':'Пожалуйста, укажите папку хранилища файлов!',
            'You have no installed or active searchers! More info in Search Control Window!':'У вас нет установленных или активных серчеров. Подробнее в Окне Управления Поиском.',
            'Please contact DiMartino on kodi.tv forum. We compiled python-libtorrent for Android,':'Свяжитесь с DiMartino на xbmc.ru. Мы собрали python-libtorrent на Android',
            'but we need your help with some tests on different processors.':'но нам нужна помощь в тестировании на разные процессоры.',
            'We added Android ARM full support to Torrenter v2!':'Мы добавили полную поддержку Android ARM в Torrenter v2!',
            'I deleted pre-installed ones, install them in Search Control Window!':'Теперь серчеры нужно устанавливать отдельно в Окне Управления Поиском!',
            'Torrenter didn\'t find %s searcher':'Торрентер не нашел серчер трекера %s',
            'Torrenter Tracker Install':'Установка трекеров в Torrenter',
            'Ask to save':'Спросить о сохранении',
            'Would you like to save this file?':'Хотите сохранить данный файл?',
            'Your storage path is not writable or not local! Please change it in settings!':'Ваше хранилище не доступно для записи или не локально! Измените в настройках!',
            'Upgrade advancedsettings.xml':'Обновление advancedsettings.xml',
            'We would like to set some advanced settings for you!':'Нам нужно обновить продвинутые настройки для работы!',
            'Do it!':'Скажите "ДА"!',
            'Please, restart Kodi now!':'Теперь перезагрузите Коди, пожалуйста!',
            './ (Root folder)':'./ (Корневой каталог)',
            'Opening torrent file':'Открытие torrent-файла',
            'New player to Torrenter v2 - pyrrent2http! Advantages of Torrent2HTTP but with python-libtorrent library instead of libtorrent-go!':'В Torrenter новый плеер - pyrrent2http! Преимущества Torrent2HTTP, но на библиотеке python-libtorrent вместо libtorrent-go!',
            'Would you like to try it?':'Хотите его попробовать?',
            'Torrent2HTTP enabled! Can be changed in Settings.':'Torrent2HTTP включен! Можно изменить в Настройках.',
            'Seeking':'Перемотка',
            'Would you like to resume from %s?':'Хотите начать проигрывать с %s?',
            'Seeking is working only with player Torrent2HTTP.':'Перемотка работает только с плеером Torrent2HTTP.',\
            'Play (from %s)':'Играть (c %s)',
            'Play (from start)':'Играть (с начала)',
            'Edit':'Редактировать',
            'Would you like to play next episode?':'Проиграть следующий эпизод?',

        },
        'uk': {
            'Seeds searching.': 'Йде пошук сідів.',
            'Please Wait': 'Зачекайте',
            'Information': 'Інформація',
            'Torrent downloading is stopped.': 'Завантаження торренту зупинено.',
            'Search': 'Пошук',
            'Seeds': 'Сіди',
            'Peers': 'Піри',
            'Materials are loading now.': 'Йде завантаження матеріалів.',
            'Search Phrase': 'Фраза для пошуку',
            'Magnet-link is converting.': 'Йде перетворення магнет-посилання.',
            'Error': 'Помилка',
            'Your library out of date and can\'t save magnet-links.': 'Ваша бібліотека застаріла і не може зберігати магнет-посилання.',
            'Bookmarks': 'Закладки',
            'Logout': 'Вихід',
            'Login': 'Вхід',
            'Recent Materials': 'Свіжі матеріали',
            'Register': 'Регістрація',
            'Bookmark': 'Закладка',
            'Item successfully added to Bookmarks': 'Элемент успішно доданий в закладки',
            'Item successfully removed from Bookmarks': 'Элемент успішно вилучений из закладок',
            'Bookmark not added': 'Закладка не додана',
            'Bookmark not removed': 'Закладка не вилучена',
            'Add To Bookmarks': 'Додати в закладки',
            'Remove From Bookmarks': 'Вилучити з закладок',
            'Auth': 'Авторизація',
            'Already logged in': 'Користувач вже в системі',
            'Input Email (for password recovery):': 'Введіть E-mail (для відновлення паролю):',
            'Input Email:': 'Введіть E-mail:',
            'Input Password (6+ symbols):': 'Введіть пароль (6+ символів):',
            'Input Password:': 'Введіть пароль:',
            'Login successfull': 'Вхід виконаний успішно',
            'Login failed': 'Вхід не виконаний',
            'User not logged in': 'Користувач не в системі',
            'User successfully logged out': 'Користувач успішно залишив систему',
            'Preloaded: ': 'Попередньо завантажено: ',
            'Do you want to STOP torrent downloading and seeding?': 'Ви бажаєте зупинити завантаження і раздачу торренту?',
            'Torrent Downloading': 'Завантаження торренту',
            'Auth expired, please relogin': 'Авторизація сплила, будь ласка, увійдіть знову',
            'Storage': 'Сховище',
            'Storage has been cleared': 'Сховище очищене',
            'Clear Storage': 'Очистити сховище',
            'Popular': 'Популярне',
            'Views': 'Перегляди',
            'Uploading': 'Роздача',
            'Download': 'Завантажити',
            'Input symbols from CAPTCHA image:': 'Введіть символи з картинки CAPTCHA:',
            'Please, rate watched video:': 'Будь ласка, оцініть переглянуте відео:',
            'Bad': 'Погане',
            'So-So': 'Таке собі...',
            'Good': 'Добре',
            'Ratings': 'Оцінки',
            'Rating': 'Оцінка',
            'Retry': 'Повторна спроба',
            '%ds has left': 'Залишилось %d сброб',
            'File failed to play! Do you want to RETRY and buffer more?': 'Помилка відтворення файлу! Бажаєте спробувати знову і завантажити більше?',
            'High Priority Files': 'Файли високого пріоритету',
            'Skip All Files': 'Пропустити всі файли',
            'Start': 'Запустити',
            'Stop': 'Стоп',
            'Play':'Відтворити',
            'High Priority': 'Високий пріоритет',
            'Skip File': 'Пропустити файл',
            'Remove': 'Вилучити',
            'Remove with files': 'Вилучити з файлами',
            'Play File': 'Відтворити файл',
            'Start All Files': 'Запустити всі файли',
            'Stop All Files': 'Зупинити всі файли',
            'Torrent-client Browser': 'Браузер торрент-клієнта',
            'Remote Torrent-client': 'Віддалений торрент-клієнт',
            'You didn\'t set up replacement path in setting.': 'Вы не налаштували заміну шляху.',
            'For example /media/dl_torr/ to smb://SERVER/dl_torr/. Setup now?': 'Наприклад, /media/dl_torr/ на smb://SERVER/dl_torr/. Налаштувати?',
            'Manual Torrent-client Path Edit': 'Змінити вручну каталог торрент-клієнта',
            'Choose .torrent in video library': 'Виберіть .torrent у відеобібліотеці',
            '.torrent Player': '.torrent-програвач',
            'Choose directory:': 'Виберіть каталог:',
            'Starting download next episode!': 'Починається завантаження наступного епізоду!',
            'Choose in torrent-client:': 'Оберіть роздачу:',
            'Search Control Window': 'Вікно керування пошуком',
            'Magnet-link (magnet:...)': 'Магнет-посилання (magnet:...)',
            'Not a magnet-link!': 'Не є магнет-посиланням',
            'Magnet-link Player': 'Програвач магнет-посилань',
            'UNKNOWN STATUS': 'Невідомий стан',
            'Checking preloaded files...': 'Перевірка файлів...',
            'Waiting for website response...': 'Очікування відповіді сайту...',
            'Search and cache information for:': 'Пошук і кешування інформації для:',
            'Open Torrent': 'Відкрити список файлів',
            'Torrent list is empty.': 'Список роздач порожній.',
            'Content Lists': 'Списки медіа',
            'Canceled by User': 'Скасовано користувачем',
            'Do you want to search and cache full metadata + arts?': 'Бажаєте автоматично отримувати мета-дані та арти?',
            'This vastly decreases load speed, but you will be asked to download premade bases!': 'Це суттєво знижує швидкість завантаження, але вам буде запропоновано завантажити готові бази!',
            'Do you want to preload full metadata?': 'Бажаєте завантажити повні мета-дані?',
            'It is highly recommended!': 'Наполегливо рекомендується погодитись!',
            'TV Shows': 'Серіали',
            'Cartoons': 'Мультфільми',
            'Anime': 'Аніме',
            'Most Recent': 'Гарячі новинки',
            'Top 250 Movies': 'Найкращі 250 фільмів',
            'Top All Time': 'Краще за весь час',
            'by Genre': 'по Жанру',
            'by Year': 'по Року',
            'Action': 'Боєвики',
            'Adventure': 'Пригоди',
            'Animation': 'Анімація',
            'Biography': 'Біографія',
            'Comedy': 'Комедії',
            'Crime': 'Детектив',
            'Documentary': 'Документальне',
            'Drama': 'Драми',
            'Family': 'Сімейне',
            'Fantasy': 'Фентезі',
            'Film-Noir': 'Нуар',
            'History': 'Історичні',
            'Horror': 'Жахи',
            'Music': 'Музичні',
            'Musical': 'М\'юзикли',
            'Mystery': 'Містика',
            'Romance': 'Мелодрами',
            'Sci-Fi': 'Фантастика',
            'Short': 'Короткометражки',
            'Sport': 'Спортивні',
            'Thriller': 'Трилери',
            'War': 'Військові',
            'Western': 'Вестерни',
            '[B]by Site[/B]': '[B]по Сайту[/B]',
            'Cartoons Series': 'Мультсеріали',
            'Cartoons Short': 'Мультфільми (короткометражки)',
            'Male': 'Чоловічі',
            'Female': 'Жіночі',
            'Russia & USSR': 'Росія + СРСР',
            'Next Page': 'Наступна сторінка',
            'Previous Page': 'Попередня сторінка',
            'Russian Movies': 'Вітчизняні фільми',
            'Movies': 'Іноземні фільми',
            '3D Movies': 'Фильмы 3D',
            'israeli Movies': 'израильские фильмы',
            'hebdub movies': 'Фильмы на иврите',
            'High Resolution Movies': 'высокое разрешение фильма',
            'Movies [Bluray]': 'Фильмы [Blu-ray]',				
            'Anime Film': 'Повнометражні аніме',
            'Anime Series': 'Аніме-серіали',
            'Can\'t download torrent, probably no seeds available.': 'Не вдаєть завантажити торрент, мабуть, немає доступних сідів.',
            'Personal List': 'Особистий список',
            'Add to %s': 'Додати в %s',
            'Delete from %s': 'Вилучити из %s',
            'Added!': 'Додано',
            'Deleted!': 'Вилучено!',
            'Search History': 'Історія пошуку',
            'Favourites': 'Вибране',
            'Favourites SH': 'Вибране SH',
            'Clear %s': 'Очистити %s',
            'Clear!': 'Очищено!',
            'kb/s': 'Кб/с',
            'Queued': 'В черзі',
            'Checking': 'Перевірка',
            'Downloading metadata': 'Завантаження мета-даних',
            'Downloading': 'Завантаження',
            'Finished': 'Завершено',
            'Seeding': 'Роздача (сідування)',
            'Allocating': 'Виділення',
            'Allocating file & Checking resume': 'Виділення файлу і перевірка резюме',
            'For Kids': 'Дитяче',
            'Adult': 'Еротика',
            'Does not support magnet links!': 'Не підтримує магнет-посилання!',
            'Reset All Cache DBs': 'Зкинути усі закешовані бази',
            '[B]Search[/B]': '[B]Пошук[/B]',
            'You can always restart this by deleting DBs via Context Menu': 'Ви завжди можете перезапустити, вилучивши бази через контекстне меню',
            'Your preloaded databases are outdated!': 'Ваші завантажені бази мета-даних застаріли!',
            'Do you want to download new ones right now?': 'Бажаєте завантажити нові прямо зараз?',
            'Individual Tracker Options':'Вибір трекерів',
            'Downloading and copy subtitles. Please wait.':'Завантаження та копіювання субтитрів. Будь ласка, зачекайте.',
            'International Check - First Run':'Міжнародна перевірка - перший запуск',
            'Delete Russian stuff?':'Вилучити російські трекери?',
            'Save to path':'Зберегти в каталог',
            'Return Russian stuff':'Повернути російські трекери',
            '%d files have been returned':'%d файлів повернуто',
            'Download via T-client':'Завантажити торрент-клієнтом',
            'Download via Libtorrent':'Завантажити Libtorrent\'ом',
            'Download Status':'Статус завантаження',
            'Download has not finished yet':'Завантаження не завершене',
            'Stopped and Deleted!':'Зупинено та Вилучено!',
            'Unpaused!':'Відновлено!',
            'Paused!':'Призупинено!',
            'Stopped!':'Зупинено!',
            'Started!':'Запущено!',
            'Delete and Stop':'Вилучити та зупинити',
            'Unpause':'Відновити',
            'Pause':'Пауза',
            'Delete':'Видалити',
            'Open':'Відкрити',
            'Torrent is seeding. To stop it use Download Status.':'Сідування. Для зупинки використовуйте Статус завантаження.',
            'Start All':'Запустити все',
            'Started All!':'Все запущене!',
            'Stopped All!':'Все зупинене!',
            'Stop All':'Зупинити все',
            'Keyboard':'Клавіатура',
            'Copy Files in Root':'Зкопіювати файли в корінь',
            'Copied %d files!':'Зкопійовано %d файлів!',
            'Return to %s':'Повернутись в %s',
            'Search results:':'Результати пошуку:',
            'by Seeders':'по сідам',
            'by Date':'по даті',
            'Sort':'сортування',
            'Close':'Закрити вікно',
            'Views:':'Перегляди.:',
            'Rating:':'Рейтинг:',
            'Information not found!':'Інформація не знайдена!',
            'Choose searcher':'Оберіть трекер',
            'python-libtorrent Not Found':'python-libtorrent не знайдено',
            'Windows has static compiled python-libtorrent included.':'На Windows при встановленні з репозиторію разом з плагіном йде python-libtorrent.',
            'You should install "script.module.libtorrent" from "MyShows.me Kodi Repo"':'Встановіть "script.module.libtorrent" з "MyShows.me Kodi Repo"',
            'Linux x64 has not static compiled python-libtorrent included.':'На Linux x64 не змогли зібрати статичну версію python-libtorrent',
            'You should install it by "sudo apt-get install python-libtorrent"':'Встановіть командою "sudo apt-get install python-libtorrent"',
            'Linux has static compiled python-libtorrent included but it didn\'t work.':'На Linux x86 є статична версія python-libtorrent, але вона не спрацювала.',
            'As far as I know you can compile python-libtorrent for ARMv6-7.':'На ARMv6-7 можно скомпілювати python-libtorrent',
            'You should search for "OneEvil\'s OpenELEC libtorrent" or use Ace Stream.':'Пошукайте "OneEvil\'s OpenELEC libtorrent" або використовуйте Ace Stream',
            'Please use install Ace Stream APK and choose it in Settings.':'Встановіть Ace Stream APK і оберіть плеєр в Налаштуваннях',
            'It is possible to compile python-libtorrent for Android, but I don\'t know how.':'Скомпілювати python-libtorrent на Android можливо, але ми не знаємо як.',
            'It is possible to compile python-libtorrent for OS X.':'Скомпілювати python-libtorrent на OS X можливо.',
            'But you would have to do it by yourself, there is some info on github.com.':'Але це доведеться робити самому, на гітхабі була інформація',
            'It is NOT possible to compile python-libtorrent for iOS.':'Під iOS неможливо скомпілювати python-libtorrent',
            'But you can use torrent-client control functions.':'Але всі решта функцій, крім прямого стрімінгу, працюють.',
        }
    }
    try:
        return dictionary[language][text]
    except:
        if language=='uk':
            try:
                return dictionary['ru'][text]
            except:
                return text
        else:
            return text
